namespace doxybug
{
    /// <summary>
    /// Define a base interface
    /// </summary>
    public interface A
    {
        /// <summary>
        /// Defines a methodA
        /// </summary>
        void MethodA();
    }
    /// <summary>
    /// defines a B interface that is A+B
    /// </summary>
    public interface B : A
    {
        /// <summary>
        /// Defines a method B
        /// </summary>
        void MethodB();
    }

    /// <summary>
    /// defines a C interface that is A+C
    /// </summary>
    public interface C : A
    {
        /// <summary>
        /// Defines a method B
        /// </summary>
        void MethodC();
    }


    /// <summary>
    /// define a A,B,C interface
    /// </summary>
    public interface ABC : B, C
    {
    }
}